Reads the load of the Queue's visible pool Workers for its Dispatchers and Task administrators.
using System.Net.Http.Headers;var client = new HttpClient();var request = new HttpRequestMessage{ Method = HttpMethod.Get, RequestUri = new Uri("https://example.com/api/workspace/tasks/runtime/queues/example/workload"), Headers = { { "Authorization", "Bearer <token>" }, },};using (var response = await client.SendAsync(request)){ response.EnsureSuccessStatusCode(); var body = await response.Content.ReadAsStringAsync(); Console.WriteLine(body);}const url = 'https://example.com/api/workspace/tasks/runtime/queues/example/workload';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/workspace/tasks/runtime/queues/example/workload \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Query Parameters
Section titled “Query Parameters”Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.
Responses
Section titled “Responses”OK
object
The load of a Queue’s visible pool Workers for its Dispatchers and Task administrators.
object
One Worker’s global load (Direct and every Queue) against the effective profile; no Task is disclosed.
object
A permitted participant identity. A null label never implies an unassigned participant.
object
object
A count exceeds its limit, typically after the limit was lowered; new growth is refused.
object
object
object
object
Example
{ "Errors": [ { "Type": 0, "Severity": 0 } ], "Warnings": [ { "Type": 0, "Severity": 0 } ]}Forbidden
object
The load of a Queue’s visible pool Workers for its Dispatchers and Task administrators.
object
One Worker’s global load (Direct and every Queue) against the effective profile; no Task is disclosed.
object
A permitted participant identity. A null label never implies an unassigned participant.
object
object
A count exceeds its limit, typically after the limit was lowered; new growth is refused.
object
object
object
object
Example
{ "Errors": [ { "Type": 0, "Severity": 0 } ], "Warnings": [ { "Type": 0, "Severity": 0 } ]}Not Found
object
The load of a Queue’s visible pool Workers for its Dispatchers and Task administrators.
object
One Worker’s global load (Direct and every Queue) against the effective profile; no Task is disclosed.
object
A permitted participant identity. A null label never implies an unassigned participant.
object
object
A count exceeds its limit, typically after the limit was lowered; new growth is refused.
object
object
object
object
Example
{ "Errors": [ { "Type": 0, "Severity": 0 } ], "Warnings": [ { "Type": 0, "Severity": 0 } ]}Conflict
object
The load of a Queue’s visible pool Workers for its Dispatchers and Task administrators.
object
One Worker’s global load (Direct and every Queue) against the effective profile; no Task is disclosed.
object
A permitted participant identity. A null label never implies an unassigned participant.
object
object
A count exceeds its limit, typically after the limit was lowered; new growth is refused.
object
object
object
object
Example
{ "Errors": [ { "Type": 0, "Severity": 0 } ], "Warnings": [ { "Type": 0, "Severity": 0 } ]}